{% extends 'authed_base.html' %}

{% block main %}
    <div class="right-box">
        <h2>Lookup Prefix</h2>
        <form action="/lookup_cidr" target="_self" method="POST" class="logo_form">
            <label for="cidr">CIDR</label>
            <input type="text" id="cidr" name="cidr" placeholder="{{ cidr }}"/>
            <button>Find Prefix</button>
        </form>
    </div>
    {% if found_cidr %}
        <section id="api" class="json-data">
            {{ found_cidr | safe }}
            {% if create %}
                <form action="/new_cidr" target="_self" method="GET" class="logo_form">
            {% else %}
                <form action={{ "/update_cidr/" + cidr }} target="_self" method="GET" class="logo_form">
            {% endif %}
                <button>Edit Prefix</button>
            </form>
        </section>   {# nosemgrep #}

    {% endif %}
{% endblock %}